Bug 245826 - Review Request: pida - A Python IDE written in Python and GTK
Review Request: pida - A Python IDE written in Python and GTK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 17:28 EDT by Debarshi Ray
Modified: 2013-01-09 23:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 14:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-06-26 17:28:05 EDT
Spec URL: https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida.spec

SRPM URL: https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida-0.4.4-1.fc8.src.rpm

Description:
PIDA is an IDE. PIDA is different from other IDEs in that it will use the
tools you already have available rather than attempting to reinvent each one.
PIDA is written in Python with the PyGTK toolkit, and although is designed to
be used to program in any language, PIDA has fancy Python IDE features.
Comment 1 Tyler Owen 2007-06-28 08:03:11 EDT
This is not an official review as I am not sponsored yet.


---------
Summary:
---------
* Fails to build in mock (b/c of below point)
* Missing BuildRequires dependency on desktop-file-utils
* BuildRequires are redundant
* Not sure about the use of X-Fedora in the desktop file and during the
installation of the file (--add-category X-Fedora)

---------
Details:
---------

 FIX - Mock : Built on F-7 (x86)
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 FIX - Meets Packaging Guidelines.
        Doesn't build
 OK - License field in spec matches
 OK - License is GPL
 OK - License match packaging policy licenses allowed
 OK - License file is included in package
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources SHOULD match upstream md5sum:
462542ce70b47d16a019b403b741a411  pida-0.4.4.tar.gz
462542ce70b47d16a019b403b741a411  pida-0.4.4.tar.gz.1
 OK - Package has correct buildroot.
 FIX - BuildRequires are not redundant.
        python-setuptools requires python-devel, so no need to specify python-devel
 ?  - %build and %install stages are correct and work.
        didn't build
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - No large doc files not in a -doc package
 OK - Package has no duplicate files in %files.
 OK - Package doesn't own any directories that other packages own.
 OK - Changelog section is correct. 
 NA - Does not contain any .la libtool archives
 ? - .desktop file installed correctly
        Installed correctly, but I am not sure about the use of X-Fedora and
adding the X-Fedora category


 FIX - Should function as described.
        Does not build in mock because of missing dep
 OK - Should package latest version

---------------
Rpmlint output:
---------------
* silent on srpm 

?  main rpm
        RPM did not build in mock
Comment 2 Debarshi Ray 2007-06-28 15:52:42 EDT
> * Missing BuildRequires dependency on desktop-file-utils
> * BuildRequires are redundant

Fixed.

SPEC file:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida-2.spec

SRPM file:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida-0.4.4-2.fc8.src.rpm
Comment 3 Debarshi Ray 2007-06-29 14:25:24 EDT
> This is not an official review as I am not sponsored yet.
> * Not sure about the use of X-Fedora in the desktop file and during the
> installation of the file (--add-category X-Fedora)

Removed it.

SPEC file:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida-3.spec

SRPM file:
https://fedoraproject.org/wiki/DebarshiRay?action=AttachFile&do=get&target=pida-0.4.4-3.fc8.src.rpm
Comment 4 Debarshi Ray 2007-07-07 15:44:22 EDT
Tyler, are you satisfied now?
Comment 5 Tyler Owen 2007-07-08 09:57:12 EDT
* I see you fixed all the above issues.

* The spec file name should remain as %{name}.spec without the version information. 

On F7 when I run pida I get a number of errors displayed to the console. 
Appears to be missing requires? 

[owentl@whisky Download]$ pida
09:47:32 failed to import services.pythonbrowser =
pida.services.pythonbrowser:Service 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pida/core/services.py", line 78, in
__load_entrypoint
    cls = entrypoint.load()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 1912, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.5/site-packages/pida/services/pythonbrowser.py", line
34, in <module>
    raise Exception('Bike is not installed')
Exception: Bike is not installed

09:47:33 failed to import services.scripts = pida.services.scripts:Service 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pida/core/services.py", line 78, in
__load_entrypoint
    cls = entrypoint.load()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 1912, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.5/site-packages/pida/services/scripts.py", line 24, in
<module>
    import pida.pidagtk.contentbook as contentbook
ImportError: No module named contentbook

09:47:33 failed to import services.webbrowse = pida.services.webbrowse:Service 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pida/core/services.py", line 78, in
__load_entrypoint
    cls = entrypoint.load()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 1912, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.5/site-packages/pida/services/webbrowse.py", line 29,
in <module>
    import gtkhtml2
ImportError: No module named gtkhtml2

/usr/lib/python2.5/site-packages/pida/services/window.py:243: GtkWarning: quit:
missing action buffermanager+quit_pida
  self.__uim.ensure_update()

It appears that you are missing gnome-python2-gtkhtml2 and others.  Are these
necessary?  Can you disable this support to make the messages go away?
Comment 6 Debarshi Ray 2007-07-08 10:45:33 EDT
> * The spec file name should remain as %{name}.spec without the version
information. 

It still is. There is no way I could upload 2 files with the same name on the
same server. :-)

> On F7 when I run pida I get a number of errors displayed to the console. 
> Appears to be missing requires? 

There has been a new upstream release-- 0.5.0. I am going to package it and
upload a new pair of SPEC and SRPM soon.
Comment 7 Mamoru TASAKA 2007-07-08 13:49:45 EDT
Tyler, as now I am sponsoring you, you can formally review
this package.
Comment 8 Tyler Owen 2007-07-08 16:13:21 EDT
I will do the formal review.  Please post a note when you have updated the
package for the latest upstream version.
Comment 9 Debarshi Ray 2007-07-09 06:48:53 EDT
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247417
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245649

Meanwhile, you may be interested in reviewing the above packages.
Comment 10 Debarshi Ray 2007-09-03 02:37:10 EDT
I have been fiddling with PIDA 0.5.1 ever since it was released, but somehow I
can not get it to run on my Rawhide system. PIDA 0.4.4, which I had originally
submitted, did run on Rawhide with a few tweaks here and there to correctly
import the meld modules. Without the tweaks it would simply crash with a traceback.

However PIDA 0.5.1 does not get give any such obvious error outputs. It simply
gets stuck after the startup splash screen and stays there unless forcibly
killed. I have tried the PIDA upstream mailing list, but to no avail.

So what is the next step?

If someone is interested, then I can give you the PIDA 0.5.1 package and you can
give a try.
Comment 11 Parag AN(पराग) 2007-09-03 02:55:24 EDT
let me check new release. Can you give new PIDA 0.5.1 SRPM link?
Comment 12 Debarshi Ray 2007-09-09 00:32:09 EDT
Spec: http://rishi.fedorapeople.org/pida.spec
SRPM: http://rishi.fedorapeople.org/pida-0.5.1-1.fc8.src.rpm

This is the new pair of Spec & SRPM for PIDA 0.5.1. Rpmlint generates a bunch of
errors complaining about empty service.pida files and "wrong end of line
encoding" in one of the documentation files. While I am not sure how the empty
files are important, I am unable to locate the problem spot which causes the
"wrong end of line encoding" error.
Comment 13 Mamoru TASAKA 2007-09-09 02:16:51 EDT
(I only checked your comment)

(In reply to comment #12)
> I am unable to locate the problem spot which causes the
> "wrong end of line encoding" error.

------------------------------------------------------
[tasaka1@localhost ~]$ rpmlint -I wrong-file-end-of-line-encoding
wrong-file-end-of-line-encoding :
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.
------------------------------------------------------

Try:
sed -i -e 's|\r||' docs/html/handbook.html
or
dos2unix docs/html/handbook.html (for this method BuildRequires: dos2unix
is needed)

Note:
0.5.1-1 could not be rebuilt.
http://koji.fedoraproject.org/koji/taskinfo?taskID=152935
Comment 14 Debarshi Ray 2007-09-09 13:38:22 EDT
> dos2unix docs/html/handbook.html (for this method BuildRequires: dos2unix
> is needed)

Fixed.
 
> Note:
> 0.5.1-1 could not be rebuilt.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=152935

Fixed.

Spec: http://rishi.fedorapeople.org/pida.spec
SRPM: http://rishi.fedorapeople.org/pida-0.5.1-2.fc8.src.rpm

If we can not get the thing to run on Fedora, then is there any point in
proceeding with verifying the correctness of the package? Or should we revert to
0.4.4 in the worst case, since 0.5.x was a complete rewrite of PIDA?
Comment 15 Parag AN(पराग) 2007-09-19 05:12:35 EDT
rpmlint on binary rpm gave 
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/optionsmanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/project/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/commander/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/grepper/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filemanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/statusbar/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/window/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/openwith/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/webbrowser/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/contexts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/rpc/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/help/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/appcontroller/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/bugreport/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/versioncontrol/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/editor/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/shortcuts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/sessions/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/buffer/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/notify/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/plugins/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/manhole/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filewatcher/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/vim/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/emacs/service.pida

are those required files or we can remove them?
Comment 16 Parag AN(पराग) 2007-09-19 05:23:23 EDT
Tested successfully on my rawhide machine. latest SRPM is working fine in rawhide.
Comment 17 Debarshi Ray 2007-09-19 05:44:17 EDT
> Tested successfully on my rawhide machine. latest SRPM is working fine in
> rawhide.

Alright, I will try to install Fedora 8 Test 2 then. Looks like something has
got messed up on my Rawhide.

I will polish the package a bit and submit it to continue the review.

Comment 18 Debarshi Ray 2007-09-19 06:00:49 EDT
Upstream says the empty service.pida files are necessary for PIDA to function
properly:
http://groups.google.com/group/pida/browse_thread/thread/f18fedeb32017a6/fd516cd340567617?hl=en-GB
Comment 19 Parag AN(पराग) 2007-09-19 06:59:50 EDT
we can take then exceptional/special case for this package to ignore rpmlint errors.
Good to add comment in SPEC that this package installs empty service.pida files
which are required for package.
Comment 20 Jesse Keating 2007-09-29 16:38:39 EDT
ping; any status on this?  We're getting late into the Fedora cycle...
Comment 21 Debarshi Ray 2007-10-01 04:59:01 EDT
> ping; any status on this?  We're getting late into the Fedora cycle...

Unfortunately for the past 2-3 weeks my workstation has gone down with a faulty
motherboard. I have got a laptop now and preparing a backup system, and am
slowly catching up with the backlog. I have got some higher priority things to
attend to (eg., updates for bouml) before I can attend to this. So I do not
think I will be able to make it in time for Fedora 8.

Can we have this as an 'enhancement' update for Fedora 8 and Fedora 7?

Thanks for your understanding. :-)
Comment 22 Debarshi Ray 2007-10-03 15:59:25 EDT
Spec: http://rishi.fedorapeople.org/pida.spec
SRPM: http://rishi.fedorapeople.org/pida-0.5.1-3.fc7.src.rpm

I have added a comment regarding the rpmlint error, and also mentioned emacs and
vim-X11 as Requires. These are needed since the first time PIDA is run, it asks
the user to select one of these two editors. Although it runs fine with GVim, it
does not work well with the Emacs shipping with Fedora.

Please advise.
Comment 23 John (J5) Palmieri 2007-10-05 15:57:01 EDT
Not sure if I would like to see pulling in this one package pulling in emacs if
I am going to us vim with it.  Perhaps shipping a pida-vi and pida-emacs
packages would be prudent.  I'm not sure if Fedora has policy for handling this
dependency situation but we should.  However this should not be a blocker for
getting pida into Fedora, only for future thought.
Comment 24 John (J5) Palmieri 2007-10-05 16:11:13 EDT
I just rebuilt this on my F7 machine and ran:

rpmlint /usr/src/redhat/RPMS/i386/pida-0.5.1-3.fc7.i386.rpm


pida.i386: E: non-standard-dir-perm /usr/share/doc/pida-0.5.1/docs/html/images 02755
pida.i386: E: non-standard-dir-perm /usr/share/doc/pida-0.5.1/docs 02755
pida.i386: E: non-standard-dir-perm
/usr/share/doc/pida-0.5.1/docs/html/images/icons/callouts 02755
pida.i386: E: non-standard-dir-perm /usr/share/doc/pida-0.5.1/docs/txt 02755
pida.i386: E: non-standard-dir-perm /usr/share/doc/pida-0.5.1/docs/html 02755

Looks like pida install is setting the set group guid flag.  This is harmless
but wrong and should be corrected.
Comment 25 John (J5) Palmieri 2007-10-05 16:29:59 EDT
looking at the upstream tarball, all of their directories are setgid.  I suggest
doing a chmod on the whole expanded tree in the %install section and notifying
upstream about this issue.  
Comment 26 Debarshi Ray 2007-10-06 01:39:26 EDT
(In reply to comment #23)
> Not sure if I would like to see pulling in this one package pulling in emacs if
> I am going to us vim with it.  Perhaps shipping a pida-vi and pida-emacs
> packages would be prudent.

On my Fedora 7 machine, PIDA does not work well with Fedora's Emacs. eg., on
exiting Emacs, PIDA still needs a Ctrl-C to exit resulting in an ugly backtrace.

From the upstream PIDA lists, I understand that PIDA needs some features which
are still in the Emacs CVS. So would it make sense to patch PIDA to run only
with Gvim for the moment and remove Requires: emacs?
Comment 27 Debarshi Ray 2007-10-06 01:52:42 EDT
(In reply to comment #24)
> I just rebuilt this on my F7 machine and ran:
> 
> rpmlint /usr/src/redhat/RPMS/i386/pida-0.5.1-3.fc7.i386.rpm
> 
> 
> pida.i386: E: non-standard-dir-perm /usr/share/doc/pida-0.5.1/docs/html/images
02755

Here is my rpmlint NEVRA and output:

[rishi@freebook i386]$ rpm -q rpmlint
rpmlint-0.81-1.fc7
[rishi@freebook i386]$ rpmlint pida-0.5.1-3.fc7.i386.rpm
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/optionsmanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/project/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/commander/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/grepper/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filemanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/statusbar/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/window/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/openwith/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/webbrowser/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/contexts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/rpc/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/help/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/appcontroller/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/bugreport/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/versioncontrol/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/editor/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/shortcuts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/sessions/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/buffer/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/notify/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/plugins/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/manhole/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filewatcher/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/vim/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/emacs/service.pida
[rishi@freebook i386]$ 

I think I am using the most recent rpmlint package for Fedora 7. Am I missing
something?
Comment 28 Debarshi Ray 2007-10-12 15:06:00 EDT
Tyler, are you still interested in continuing with the review? Any thing that I
should fix in the package?
Comment 29 Tyler Owen 2007-10-13 12:46:52 EDT
I am sorry, but I am not going to be able to finish this review as I have had 
to be out of town for a family emergency and I am not sure when I will be able 
to get back to my PCs.  

I am very sorry about this, can someone else please take this and finish up the 
review.  I am not sure how to put this review back in the queue, so if someone 
can help me with that I would appreciate it. 
Comment 30 Debarshi Ray 2007-10-13 15:26:38 EDT
I am reassigning this to 'nobody' in view of Tyler's comments.
Comment 31 Parag AN(पराग) 2007-10-14 00:55:41 EDT
will officially review it tomorrow.
Comment 32 Parag AN(पराग) 2007-10-14 23:54:07 EDT
You should preserve timestamp check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

Comment 33 Parag AN(पराग) 2007-10-14 23:57:41 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint complains follwing messages
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/optionsmanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/project/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/commander/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/grepper/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filemanager/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/statusbar/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/window/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/openwith/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/webbrowser/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/contexts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/rpc/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/help/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/appcontroller/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/bugreport/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/versioncontrol/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/editor/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/shortcuts/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/sessions/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/buffer/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/notify/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/plugins/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/manhole/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/services/filewatcher/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/vim/service.pida
pida.i386: E: zero-length
/usr/lib/python2.5/site-packages/pida/editors/emacs/service.pida
 But these messages can be ignored here.
+ source files match upstream.
d24bbdc2c07172062cf55dffe58c85f6  PIDA-0.5.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ update-desktop-database and gtk-update-icon-cache scriptlets are used.
+ Desktop file installed correctly.
+ Package pida-0.5.1-3.fc8 ->
   Requires: /usr/bin/env /usr/bin/python emacs gazpacho hicolor-icon-theme
libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.1.3) libcairo.so.2 libdl.so.2
libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0
libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0
libpthread.so.0 libpython2.5.so.1.0 python(abi) = 2.5 python-kiwi rtld(GNU_HASH)
vim-X11
  Provides: moo_stub.so
+ GUI App.
APPROVED.


Anyway, I am approving this review with assumption that you will take case of
comment #32 while importing package in CVS.
I have check this package in rawhide and it worked fine for me on i386.
Comment 34 Debarshi Ray 2007-10-28 11:01:49 EDT
Spec: http://rishi.fedorapeople.org/pida.spec
SRPM: http://rishi.fedorapeople.org/pida-0.5.1-4.fc7.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=217598

I have removed Emacs support for the time being. Emacs needs to be patched
(http://pida.co.uk/trac/ticket/95) and if these are accepted in the Fedora
package, I shall re-add Emacs support.

I have also modified a number of Requires.

However I did not understand which files' timestamps need to be preserved
(comment #32)?
Comment 35 Debarshi Ray 2007-11-13 13:25:11 EST
Spec: http://rishi.fedorapeople.org/pida.spec
SRPM: http://rishi.fedorapeople.org/pida-0.5.1-5.fc8.src.rpm

NB: The Fedora 7 package would need to retain the Encoding in Desktop Entry.
Comment 36 Michel Alexandre Salim 2007-11-13 13:58:10 EST
Found one more problem: the
%{_libdir}/site-packages/pida/services/*/service.pida all have size 0 (checked
on x86_64, but presumably happens on all platforms). You might want to either
remove in %install, or %ghost them in %files.

Here's my Koji scratch build for 0.5.1-5:

http://koji.fedoraproject.org/koji/taskinfo?taskID=239977
Comment 37 Michel Alexandre Salim 2007-11-13 13:59:02 EST
Oh, and if this is not too late -- should we really call this pida rather than
PIDA? Upstream consistently uses the uppercased name.

From the Naming Guidelines:

Keep in mind to respect the wishes of the upstream maintainers. If they refer to
their application as "ORBit", you should use "ORBit" as the package name, and
not "orbit". However, if they do not express any preference of case, you should
default to lowercase naming
Comment 38 Debarshi Ray 2007-11-13 21:24:48 EST
(In reply to comment #36)
> Found one more problem: the
> %{_libdir}/site-packages/pida/services/*/service.pida all have size 0

That is not a problem. Those files are necessary for PIDA to work correctly. See
the comment in the Spec file:

# Installs zero-length service.pida files necessary for proper behaviour.
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
Comment 39 Debarshi Ray 2007-11-13 21:40:30 EST
(In reply to comment #37)
> Oh, and if this is not too late

It is not too late.

> -- should we really call this pida rather than
> PIDA? Upstream consistently uses the uppercased name.

It is not so simple. Debian (http://packages.debian.org/testing/devel/pida) and
Ubuntu (http://packages.ubuntu.com/gutsy/devel/pida) call their packages 'pida',
and use 'PIDA' in the description. Also the primary executable is still named
'pida'.

PIDA upstream has been known for strange choice of names which do not tally with
the de-facto standards for AUTHORS, ChangeLog, etc.. Although the lead developer
(Ali Afshar) is reluctant to change them ( he says, "I like the way I name it,
and don't care what distros think/prefer/use")other PIDA folks do like the
conventional names. It is a divided house.

> From the Naming Guidelines:

"When naming a package, the name should match the upstream tarball or project
name from which this software came. In some cases this naming choice is more
complicated. If this package has been packaged by other distributions/packagers
in the past, then you should try to match their name for consistency. In any
case, try to use your best judgement, and other developers will help in the
final decision."

"In Fedora packaging, the maintainer should use his/her best judgement when
considering how to name the package. While case sensitivity is not a mandatory
requirement, case should only be used where necessary. Keep in mind to respect
the wishes of the upstream maintainers. If they refer to their application as
"ORBit", you should use "ORBit" as the package name, and not "orbit". However,
if they do not express any preference of case, you should default to lowercase
naming."

It is basically "consistency with other distributions" versus "upstream choice".

Since the guidelines seem to give some weight to the maintainer's judgement, I
believe it is important to maintain uniformity between the distributions. 

# apt-get install pida
# yum install PIDA
...can be really confusing and painful for people migrating from one to the other.

Also since the main executable is 'pida' and not 'PIDA' users are more likely to
expect the first option.

Comments?
Comment 40 Michel Alexandre Salim 2007-11-13 22:16:21 EST
Ah, that makes sense, thanks. I'd say the package is ready for CVS then.
Comment 41 Parag AN(पराग) 2007-11-13 22:25:21 EST
Yes. New packaging looks ok to me. So you can import this package in CVS.
Comment 42 Debarshi Ray 2007-11-14 07:58:05 EST
New Package CVS Request
=======================
Package Name: pida
Short Description: A Python IDE written in Python and GTK
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 43 Kevin Fenzi 2007-11-14 19:19:48 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.